Subject: Prolog for NetBSD?

From: Bob Slawson <[email-masked]>

> I would like to install prolog on my NetBSD machine. So I was just
> wondering if anyone did this already. What sources should I get and
> where. 

Haven't tried prolog in NetBSD but I do run SBProlog on the AmigaDOS side.
Source is available ftp from cs.arizona.edu (original site) and
from somehost at Stony Brook (can't remember).

Compiles easily under the amigados gcc compiler so it should be no problem
in NetBSD. (SAS/C 5.10b generated incorrect code in a few places).

SBProlog is a straight forward edinburgh syntax interpreter + WAM bytecode compiler,
no fancy development environment.  Getting a bit long in the tooth, it doesn't have
any of the recent type checking stuff, arrays, etc.  Runs around 32-5 KLips on my
stock A3000.

Robert W. Slawson
Dept. of Astronomy,
Univ. of Western Ontario,			Astronomy is looking up...
London, Ontario  N6A 3K7
CANADA